# pdf-scanline-remover

## Install
1. Download `pdf_scanline_remover.sh`
2. Preferably put it in a directory that is in your `PATH` variable, so it can be executed from anywhere
3. Make sure anyone has execute rights (`chmod +x pdf_scanline_remover.sh`)

## Usage
Usage: pdf-scanline-remover <inputfile> [<outputfile>]"
Takes a pdf file, removes any vertical scanner lines, and outputs it as output.pdf if not otherwise specified
  -e     remove lines on even pages. First page is page 0 (even)
  -o     remove lines on odd pages. First page is page 0 (even)
  -a     remove lines on all pages
  -c     increase contrast of pdf file
  -h     display this output

## Example
See the folowing input and output file for the intended usecase and result
### Input
![input.jpg](https://git.sciuro.org/Burathar/pdf-scanline-remover/raw/branch/master/input.jpg)
### Output
![output.jpg](https://git.sciuro.org/Burathar/pdf-scanline-remover/raw/branch/master/output.jpg)